cassandra-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From groupie02 <groupi...@gmail.com>
Subject Re: cqlsh 2.1 to cassandra 2.0.7
Date Thu, 18 Sep 2014 15:10:27 GMT
did you try running cqlsh with --cqlversion?

On Thu, Sep 18, 2014 at 9:17 AM, Adam Holmberg <adam.holmberg@datastax.com>
wrote:

> There is now a ticket open to look into this and produce a more
> informative error message:
> https://datastax-oss.atlassian.net/browse/PYTHON-157
>
> Adam
>
>
> On Wed, Sep 17, 2014 at 4:47 PM, Adam Holmberg <adam.holmberg@datastax.com
> > wrote:
>
>> This is not really supported. Presently cqlsh hard-codes CQL and protocol
>> to versions only supported in 2.1:
>>
>> https://github.com/apache/cassandra/blob/cassandra-2.1.0/bin/cqlsh#L144-L147
>>
>> Your best bet is probably downloading a 2.0.x tarball and running out of
>> there.
>>
>> Adam Holmberg
>>
>> On Wed, Sep 17, 2014 at 4:33 PM, Tyler Tolley <thattolleyguy@gmail.com>
>> wrote:
>>
>>> Just upgraded cassandra to 2.1 on my own box and when I try to connect
>>> to our server running 2.0.7, I get the following error.
>>>
>>> Connection error: ('Unable to connect to any servers', {'10.0.16.144':
>>> ConnectionShutdown('Connection <AsyncoreConnection(25708560)
>>> 10.0.16.144:9042 (closed)> is already closed',)})
>>>
>>> With debug on I get the following output.
>>>
>>> Using CQL driver: <module 'cassandra' from
>>> '/usr/share/cassandra/lib/cassandra-driver-internal-only-2.1.0.post.zip/cassandra-driver-2.1.0.post/cassandra/__init__.py'>
>>> Connection error: ('Unable to connect to any servers', {'10.0.16.144':
>>> ConnectionShutdown('Connection <AsyncoreConnection(26384400)
>>> 10.0.16.144:9042 (closed)> is already closed',)})
>>>
>>> If I try to connect using an earlier version of cqlsh, it connects fine.
>>> Anyone seen this before or have any advice on how to dig into the problem
>>> further? Thanks,
>>>  -Tyler
>>>
>>>
>>
>

Mime
View raw message